# Uses of Interface
org.eclipse.gef.tools.CellEditorLocator

Packages that use CellEditorLocator
Package
Description
org.eclipse.gef.tools
This package provides several tool implementations.

## Uses of CellEditorLocator in org.eclipse.gef.tools

Methods in org.eclipse.gef.tools that return CellEditorLocator
Modifier and Type
Method
Description
`protected CellEditorLocator`
DirectEditManager.`getLocator()`
Methods in org.eclipse.gef.tools with parameters of type CellEditorLocator
Modifier and Type
Method
Description
`void`
DirectEditManager.`setLocator(CellEditorLocator locator)`
Sets the CellEditorLocator used to place the cell editor in the correct location.
Constructors in org.eclipse.gef.tools with parameters of type CellEditorLocator
Modifier
Constructor
Description
``
`DirectEditManager(GraphicalEditPart source, Class<? extends CellEditor> editorType, CellEditorLocator locator)`
Constructs a new DirectEditManager for the given source edit part.
``
`DirectEditManager(GraphicalEditPart source, Class<? extends CellEditor> editorType, CellEditorLocator locator, Object feature)`
Constructs a new DirectEditManager for the given source edit part.